Page MenuHomeFreeBSD

Add a driver for the BCM2835 Mini-UART
ClosedPublic

Authored by db on Jun 6 2018, 11:00 PM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

db created this revision.Jun 6 2018, 11:00 PM
andrew added inline comments.Jun 7 2018, 12:24 AM
sys/dev/uart/uart_dev_mu.c
79–84 ↗(On Diff #43393)

Is this needed?

88–94 ↗(On Diff #43393)

And this?

325–335 ↗(On Diff #43393)

We could probably just ignore ACPI support in a RPi only driver

db marked 3 inline comments as done.Jun 7 2018, 11:24 AM
db added inline comments.
sys/dev/uart/uart_dev_mu.c
79–84 ↗(On Diff #43393)

I didn't know whether it would be needed or not. As you said, it's only on RPi with no ACPI so I have ripped it out.

88–94 ↗(On Diff #43393)

Not needed without ACPI support. Tested compile.

325–335 ↗(On Diff #43393)

Agreed.

db updated this revision to Diff 43405.Jun 7 2018, 11:27 AM
db marked 3 inline comments as done.

Removed ACPI

As it's only used for the RPi removed ACPI from this revision

may need an overlay for RPi 2

andrew added inline comments.Jun 9 2018, 8:31 PM
sys/arm64/conf/GENERIC
172 ↗(On Diff #43405)

Could we call this uart_mu to be consistent with the other uart device names? It should also be sorted with the other device options.

db updated this revision to Diff 43544.Jun 10 2018, 2:02 PM
db marked an inline comment as done.

Change mu to uart_mu as requested

andrew accepted this revision.Jun 10 2018, 3:15 PM
This revision is now accepted and ready to land.Jun 10 2018, 3:15 PM
This revision was automatically updated to reflect the committed changes.